Skip to content
Start here

Update Silences

alerting.silences.update(SilenceUpdateParams**kwargs) -> SyncSinglePage[SilenceUpdateResponse]
PUT/accounts/{account_id}/alerting/v3/silences

Updates existing silences for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Notifications WriteAccount Settings Write
ParametersExpand Collapse
account_id: str

The account id

maxLength32
body: Iterable[Body]
id: Optional[str]

Silence ID

maxLength32
end_time: Optional[str]

When the silence ends.

start_time: Optional[str]

When the silence starts.

ReturnsExpand Collapse
class SilenceUpdateResponse:
id: Optional[str]

Silence ID

maxLength32
created_at: Optional[str]

When the silence was created.

end_time: Optional[str]

When the silence ends.

policy_id: Optional[str]

The unique identifier of a notification policy

maxLength32
start_time: Optional[str]

When the silence starts.

updated_at: Optional[str]

When the silence was modified.

Update Silences

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.alerting.silences.update(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    body=[{}],
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f878e90c23f44126ae3cfc399f646977",
      "created_at": "2022-01-01T00:00:00Z",
      "end_time": "2022-01-01T00:00:00Z",
      "policy_id": "0da2b59ef118439d8097bdfb215203c9",
      "start_time": "2022-01-01T00:00:00Z",
      "updated_at": "2022-01-01T00:00:00Z"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f878e90c23f44126ae3cfc399f646977",
      "created_at": "2022-01-01T00:00:00Z",
      "end_time": "2022-01-01T00:00:00Z",
      "policy_id": "0da2b59ef118439d8097bdfb215203c9",
      "start_time": "2022-01-01T00:00:00Z",
      "updated_at": "2022-01-01T00:00:00Z"
    }
  ]
}